Description

Al ejecutar el geoproceso Interseccion crea una capa vacia y salta error sobre conversién de campos "Decimal".

Adjunto capas de ejemplo y el log.

Related issues:

Duplicated by Application: gvSIG desktop - gvSIG bugs # 5508: Al ejecutar el ...

Closed 11/13/2020

Associated revisions

Revision 1853 - 12/23/2022 12:01 PM - Francisco Diaz Carsi

refs #5524, Fijado los Decimal de sextante a la precisién y escala por defecto

Revision 2889 - 12/23/2022 12:02 PM - Francisco Diaz Carsi

refs #5524, Fix compare precision in coerce to decimal

History

#1 - 01/19/2023 08:00 PM - Joaquin del Cerro Murciano
- Target version changed from 2.6.1-final to 2.6.0-3302

- Assignee set to Francisco Diaz Carsi

- Status changed from New to Fixed

Se han encontrado dos problemas.

Por un lado el geoproceso "confundia” los conceptos de precision y escala intercambiando sus valores, y acabando teniendo siempre una escala de

cero. Esto se ha corregido en la medida de lo posible, asignando una escala y precisiéon por defecto cuando se desconocen.

Por otro lado habia un problema en el proceso de conversién a Decimal para adaptarlo a la precision y escala definidos en la columna del shape que

ha sido corregido.

#2 - 01/19/2023 08:02 PM - Joaquin del Cerro Murciano

- Duplicated by gvSIG bugs #5508: Al ejecutar el enlace espacial no crea ninguna capa y salta error en la consola added

05/11/2024

1/2




#3 - 08/03/2023 02:17 PM - Alvaro Anguix

- Status changed from Fixed to Closed
